// based on https://www.youtube.com/watch?v=lETcZQuKQBs
#include "gyroscope.hpp"
#include <iostream>
//
// definition of gyroscope
//

class Gyroscope::GyroscopeImpl
{
	public:
		GyroscopeImpl()
		{
			std::cout << "Ctor GyroscopeImpl" << std::endl;
		}

		void getOrientation()
		{
			std::cout << "GyroscopeImpl::getOrientation()" << std::endl;
		}

	private:
		
};

//
//
//

Gyroscope::Gyroscope() : 
	impl{std::make_unique<GyroscopeImpl>()}
{

}

Gyroscope::~Gyroscope()
{

}

void Gyroscope::getOrientation()
{
	impl->getOrientation();
}

